<?php
namespace App\Models;

use CodeIgniter\Model;

class ClienteHijosModel extends Model
{
    protected $table = 'ClienteHijos';
    protected $primaryKey = 'Clh_Id';
    protected $allowedFields = [
        'Clh_Nombre', 'Clh_FechaNacimiento', 'Clh_Genero', 'Clh_Observaciones', 'Cli_Id',
    ];

    public function getHijosbyCliId($id)
    {
        return $this->select('ClienteHijos.*')
                    ->where('ClienteHijos.Cli_Id', $id)
                    ->findAll();
    }
}

?>
